vstring_fwd.h File Reference

Go to the source code of this file.

## Namespaces

| __gnu_cxx

## Typedefs

typedef __versa_string< char, std::char_traits< char >, std::allocator< char >, __rc_string_base > | __gnu_cxx::__rc_string
typedef __vstring | __gnu_cxx::__sso_string
typedef __versa_string< char16_t, std::char_traits< char16_t >, std::allocator< char16_t >, __rc_string_base > | __gnu_cxx::__u16rc_string
typedef __u16vstring | __gnu_cxx::__u16sso_string
typedef __versa_string< char16_t > | __gnu_cxx::__u16vstring
typedef __versa_string< char32_t, std::char_traits< char32_t >, std::allocator< char32_t >, __rc_string_base > | __gnu_cxx::__u32rc_string
typedef __u32vstring | __gnu_cxx::__u32sso_string
typedef __versa_string< char32_t > | __gnu_cxx::__u32vstring
typedef __versa_string< char > | __gnu_cxx::__vstring
typedef __versa_string< wchar_t, std::char_traits< wchar_t >, std::allocator< wchar_t >, __rc_string_base > | __gnu_cxx::__wrc_string
typedef __wvstring | __gnu_cxx::__wsso_string
typedef __versa_string< wchar_t > | __gnu_cxx::__wvstring

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <ext/vstring.h>.

Definition in file vstring_fwd.h.